classification
Title: Add StreamWriter.wait_closed()
Type: enhancement Stage: resolved
Components: asyncio, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, nitishch, njs, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-20 19:12 by asvetlov, last changed 2018-01-24 23:21 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5281 merged asvetlov, 2018-01-23 08:51
Messages (3)
msg308780 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-20 19:12
Without the method there is no possibility to wait for actual writer closing (it's performed at least on next loop iteration, and even later for SSL transports).

Without waiting for actual closing writing tests is a pain: user should either add asyncio.sleep() after writer closing or suppress many warnings about unclosed resources.
msg308781 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-12-20 19:13
We've discussed this before, please go ahead.
msg310640 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-01-24 22:30
New changeset fe133aad52222949db7309c26c58b066c22e714e by Andrew Svetlov in branch 'master':
bpo-32391: Implement StreamWriter.wait_closed() (#5281)
https://github.com/python/cpython/commit/fe133aad52222949db7309c26c58b066c22e714e
History
Date User Action Args
2018-05-29 18:35:44yselivanovlinkissue31491 superseder
2018-01-24 23:21:26asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-01-24 22:30:32asvetlovsetmessages: + msg310640
2018-01-23 08:51:40asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5127
2018-01-21 09:44:54njssetnosy: + njs
2017-12-22 21:06:09nitishchsetnosy: + nitishch
2017-12-21 09:28:56asvetlovlinkissue28212 superseder
2017-12-20 19:13:19yselivanovsettype: enhancement
messages: + msg308781
2017-12-20 19:12:25asvetlovcreate